/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.logging;

import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.LogManager;
import java.util.logging.Logger;
import org.openide.util.Exceptions;

/**
 *
 * @author Timon Veenstra
 */
public class LogLevels {

    static {
        try {
            Logger.getLogger("nl.cloudfarming.client").addHandler(SystemLogController.getInstance());
        } catch (SecurityException ex) {
            Exceptions.printStackTrace(ex);
        }
        
        try {
            Boolean debug = Boolean.valueOf(System.getProperty("dev", "false"));
            String warn = Level.WARNING.intValue()+"";
            String finest = Level.FINEST.intValue()+"";
            
            String level = warn;
            if (debug){
                System.out.println("Running in dev mode, setting log level to Level.FINEST");
                level = finest;
            }else{
                System.out.println("Running in operation mode, setting log level to Level.WARNING");
            }
            
//            System.setProperty("org.geotools.rendering.level", level);
            
            System.setProperty("com.kverneland.level", level);
            System.setProperty("eu.agrosense.level", level);
            System.setProperty("eu.agrosense.client.level", level);
            System.setProperty("nl.cloudfarming.client.level", level);
            System.setProperty("nl.cloudfarming.client.farm.level", level);
            System.setProperty("nl.cloudfarming.client.fieldplan.level", level);
            System.setProperty("nl.cloudfarming.client.productionunit.level", level);
            System.setProperty("nl.cloudfarming.client.geoviewer.level", level);
            System.setProperty("nl.cloudfarming.client.field.level", level);
            System.setProperty("nl.cloudfarming.client.geoviewer.edit.level", level);
            LogManager.getLogManager().readConfiguration();
        } catch (IOException ex) {
            Exceptions.printStackTrace(ex);
        } catch (SecurityException ex) {
            Exceptions.printStackTrace(ex);
        }

        
    //        Logger.getLogger("nl.cloudfarming.client.farm").setLevel(Level.FINEST);
    //        Logger.getLogger("nl.cloudfarming.client.fieldplan").setLevel(Level.ALL);
    //        Logger.getLogger("nl.cloudfarming.client.productionunit").setLevel(Level.ALL);
    //        Logger.getLogger("nl.cloudfarming.client.geoviewer").setLevel(Level.ALL);

    }
}
